Subject: Re: bug#18813: 25.0.50; gnus start fails unless image.el is loaded in advance.

From: [email-masked]
Date: Mon, 27 Oct 2014 08:03:15 +0900

Hi,

I wonder why it works for other people for a while and found
gnus-group-startup-message forces find-image to be loaded when
necessary.

Katsumi Yamaoka <[email-masked]> writes:

> Enami-san, thanks for tracking it down.  I've changed the function
> in question as follows:
>
> --- a/lisp/gnus.el
> +++ b/lisp/gnus.el
> @@ -326,7 +326,7 @@ be set in `.emacs' instead."
>    (if (fboundp 'find-image)

So, I guess alternative way is changing the above test to (and (fboundp
'find-image) (display-graphic-p)) like gnus-group-startup-message does.

I'm not sure which one is better.

enami.